Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

## Class OrganisationIdentification4

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_02.OrganisationIdentification4

    public class OrganisationIdentification4
    extends java.lang.Object

Java class for OrganisationIdentification4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrganisationIdentification4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BICOrBEI" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}AnyBICIdentifier" minOccurs="0"/>
             <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}GenericOrganisationIdentification1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `bicOrBEI`
`protected java.util.List<GenericOrganisationIdentification1>` `othr`

### Constructor Summary

Constructors
`OrganisationIdentification4()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getBICOrBEI()` Gets the value of the bicOrBEI property.
`java.util.List<GenericOrganisationIdentification1>` `getOthr()` Gets the value of the othr property.
`void` `setBICOrBEI​(java.lang.String value)` Sets the value of the bicOrBEI property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bicOrBEI

    protected java.lang.String bicOrBEI

#### othr

    protected java.util.List<GenericOrganisationIdentification1> othr

### Constructor Detail

#### OrganisationIdentification4

    public OrganisationIdentification4()

### Method Detail

#### getBICOrBEI

    public java.lang.String getBICOrBEI()

Gets the value of the bicOrBEI property.

Returns:
  possible object is `String`

#### setBICOrBEI

    public void setBICOrBEI​(java.lang.String value)

Sets the value of the bicOrBEI property.

Parameters:
  `value` - allowed object is `String`

#### getOthr

    public java.util.List<GenericOrganisationIdentification1> getOthr()

Gets the value of the othr property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the othr property.

For example, to add a new item, do as follows:

        getOthr().add(newItem);

Objects of the following type(s) are allowed in the list `GenericOrganisationIdentification1`